---
no_breadcrumbs: true
no_toc: true
---
{% include header.md %}

Random collection of config notes and miscellaneous stuff. _Technically not a wiki._

## Configuration

### General

- [General Notes](config/general/general/)
- [Linux General Notes](config/general/linux-general/)
- [Linux Examples](config/general/linux-examples/)
- [Computer Testing](config/general/computer-testing/)

### Authentication, Authorization and Accounting (AAA)

- [Kerberos](config/aaa/kerberos/)

### Automation

- [Ansible](config/automation/ansible/)
- [Puppet](config/automation/puppet/)

### Computers

- [Dell OptiPlex Series](config/computers/dell-optiplex/)
- [Dell PowerEdge Series](config/computers/dell-poweredge/)
- [HP ProLiant](config/computers/hp-proliant/)
- [PCs](config/computers/pcs/)

### Game Servers

- [Counter-Strike: Global Offensive (CS:GO)](config/game-server/csgo/)
- [Minecraft (Bukkit)](config/game-server/minecraft-bukkit/)
- [Team Fortress 2 (TF2)](config/game-server/tf2/)

### HPC

- [CUDA](config/hpc/cuda/)
- [Open MPI](config/hpc/openmpi/)
- [Slurm Workload Manager](config/hpc/slurm/)

### IoT & Home Automation

- [Raspberry Pi](config/iot-ha/raspberry-pi/)
- [Home Assistant](config/iot-ha/home-assistant/)

### Linux Server

- [Debian](config/linux-server/debian/)
- [Applications](config/linux-server/applications/)
- [Storage](config/linux-server/storage/)
- [Networking](config/linux-server/networking/)

### Media

- [Media Ripping](config/media/ripping/)
- [Video Streaming](config/media/streaming/)

### Network

#### General

- [Routing](config/network/routing/)
- [Switching](config/network/switching/)
- [WLAN](config/network/wlan/)
- [Security](config/network/security/)

#### Specific

- [Brocade FastIron Switches](config/network/brocade-fastiron-switches/)
- [Cisco Hardware](config/network/cisco-hardware/)
- [Cisco IOS General](config/network/cisco-ios-general/)
- [Cisco IOS Routers](config/network/cisco-ios-routers/)
- [Cisco IOS Switches](config/network/cisco-ios-switches/)
- [Juniper Hardware](config/network/juniper-hardware/)
- [Juniper Junos General](config/network/juniper-junos-general/)
- [Juniper Junos Switches](config/network/juniper-junos-switches/)
- [Linksys LGS Switches](config/network/linksys-lgs/)
- [Linux Switching & Routing](config/network/linux/)
- [pfSense](config/network/pfsense/)
- [Ubiquiti UniFi Controllers](config/network/ubiquiti-unifi-controllers/)
- [Uniquiti UniFi Access Points](config/network/ubiquiti-unifi-aps/)
- [VyOS](/config/network/vyos/)

### PC

- [Kubuntu](config/pc/kubuntu/)
- [Windows](config/pc/windows/)
- [PC Applications](config/pc/applications/)

### Power

- [APC PDUs](config/power/apc-pdus/)

### Virtualization & Containerization

- [Docker](config/virt-cont/docker/)
- [libvirt & KVM](config/virt-cont/libvirt-kvm/)
- [Proxmox VE](config/virt-cont/proxmox-ve/)

## Information Technology

### Network

- [IPv4](it/network/ipv4/)
- [IPv6](it/network/ipv6/)
- [Network Architecture](it/network/architecture/)
- [Switching](it/network/switching/)
- [Wireless Basics](it/network/wireless-basics/)
- [WLAN](it/network/wlan/)

### Services

- [Email](it/services/email/)
- [DNS](it/services/dns/)

## Media

### Audio

- [Audio Basics](media/audio/basics/)

## Software Engineering

### General

- [Database Management Systems (DBMSes)](se/general/dbmses/)
- [Software Licensing](se/general/licensing/)

### Web

- [Web Security](se/web/security/)

## Guides

### Network

- [Juniper EX3300 Fan Mod](guides/network/juniper-ex3300-fanmod/)

<!--
## External Resources

- [My miscellaneous configs and scripts](https://github.com/HON95/configs)
- [My miscellaneous code snippets and dev scripts](https://github.com/HON95/code)
- [My miscellaneous Ansible playbooks](https://github.com/HON95/ansible-playbooks)
-->

{% include footer.md %}
